| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# qandaentry

$Revision: 1.4 $

$Date: 2002/06/12 11:18:30 $

qandaentry — A question/answer set within a `QandASet`

## Synopsis

### Content Model

    qandaentry ::=
    (blockinfo?,revhistory?,question,answer*)

### Attributes

Common attributes

## Description

A `QandAEntry` is an entry in a `QandASet`. Each `QandAEntry` defines a `Question` and (possibly) its `Answer` or `Answer`s.

Since V4.2, the preferred way to associate a revision history with a `QandAEntry` is in the `BlockInfo`. The use of `RevHistory` directly in `QandAEntry` is deprecated.

### Processing expectations

Formatted as a displayed block. `Question`s are usually presented before the `Answer`s, and often the `Answer`s are indented to make the questions stand out.

### Parents

These elements contain qandaentry: `answer`, `qandadiv`, `qandaset`.

### Children

The following elements occur in qandaentry: `answer`, `blockinfo`, `question`, `revhistory`.

## Examples

For examples, see `qandaset`.

qandadiv |  | qandaset

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.